<?xml version="1.0" encoding="UTF_8"?>
    <StaticCap>
        <tag key="CAMERA_SCALER_AVAILABLE_STREAM_CONFIGURATIONS" type="int32_t">
            <value>34</value>
            <value>4096</value>
            <value>3072</value>
            <value>0</value>
            <value>34</value>
            <value>4096</value>
            <value>3072</value>
            <value>1</value>
            <value>35</value>
            <value>4096</value>
            <value>3072</value>
            <value>0</value>
            <value>35</value>
            <value>4096</value>
            <value>3072</value>
            <value>1</value>
            <value>33</value>
            <value>4096</value>
            <value>3072</value>
            <value>0</value>

            <value>34</value>
            <value>4096</value>
            <value>2304</value>
            <value>0</value>
            <value>34</value>
            <value>4096</value>
            <value>2304</value>
            <value>1</value>
            <value>35</value>
            <value>4096</value>
            <value>2304</value>
            <value>0</value>
            <value>35</value>
            <value>4096</value>
            <value>2304</value>
            <value>1</value>
            <value>33</value>
            <value>4096</value>
            <value>2304</value>
            <value>0</value>

            <value>34</value>
            <value>4096</value>
            <value>2160</value>
            <value>0</value>
            <value>34</value>
            <value>4096</value>
            <value>2160</value>
            <value>1</value>
            <value>35</value>
            <value>4096</value>
            <value>2160</value>
            <value>0</value>
            <value>35</value>
            <value>4096</value>
            <value>2160</value>
            <value>1</value>
            <value>33</value>
            <value>4096</value>
            <value>2160</value>
            <value>0</value>

            <value>34</value>
            <value>4096</value>
            <value>1840</value>
            <value>0</value>
            <value>34</value>
            <value>4096</value>
            <value>1840</value>
            <value>1</value>
            <value>35</value>
            <value>4096</value>
            <value>1840</value>
            <value>0</value>
            <value>35</value>
            <value>4096</value>
            <value>1840</value>
            <value>1</value>
            <value>33</value>
            <value>4096</value>
            <value>1840</value>
            <value>0</value>

            <value>34</value>
            <value>4096</value>
            <value>1760</value>
            <value>0</value>
            <value>34</value>
            <value>4096</value>
            <value>1760</value>
            <value>1</value>
            <value>35</value>
            <value>4096</value>
            <value>1760</value>
            <value>0</value>
            <value>35</value>
            <value>4096</value>
            <value>1760</value>
            <value>1</value>
            <value>33</value>
            <value>4096</value>
            <value>1760</value>
            <value>0</value>

            <value>34</value>
            <value>3840</value>
            <value>2160</value>
            <value>0</value>
            <value>34</value>
            <value>3840</value>
            <value>2160</value>
            <value>1</value>
            <value>35</value>
            <value>3840</value>
            <value>2160</value>
            <value>0</value>
            <value>35</value>
            <value>3840</value>
            <value>2160</value>
            <value>1</value>
            <value>33</value>
            <value>3840</value>
            <value>2160</value>
            <value>0</value>

            <value>34</value>
            <value>3264</value>
            <value>2448</value>
            <value>0</value>
            <value>34</value>
            <value>3264</value>
            <value>2448</value>
            <value>1</value>
            <value>35</value>
            <value>3264</value>
            <value>2448</value>
            <value>0</value>
            <value>35</value>
            <value>3264</value>
            <value>2448</value>
            <value>1</value>
            <value>33</value>
            <value>3264</value>
            <value>2448</value>
            <value>0</value>

            <value>34</value>
            <value>3072</value>
            <value>3072</value>
            <value>0</value>
            <value>34</value>
            <value>3072</value>
            <value>3072</value>
            <value>1</value>
            <value>35</value>
            <value>3072</value>
            <value>3072</value>
            <value>0</value>
            <value>35</value>
            <value>3072</value>
            <value>3072</value>
            <value>1</value>
            <value>33</value>
            <value>3072</value>
            <value>3072</value>
            <value>0</value>

            <value>34</value>
            <value>2560</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>2560</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>2560</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>2384</value>
            <value>1080</value>
            <value>0</value>
            <value>34</value>
            <value>2384</value>
            <value>1080</value>
            <value>1</value>
            <value>35</value>
            <value>2384</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>2384</value>
            <value>1080</value>
            <value>1</value>
            <value>33</value>
            <value>2384</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1920</value>
            <value>1440</value>
            <value>0</value>
            <value>35</value>
            <value>1920</value>
            <value>1440</value>
            <value>0</value>
            <value>33</value>
            <value>1920</value>
            <value>1440</value>
            <value>0</value>

            <value>34</value>
            <value>1920</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1920</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>1920</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1920</value>
            <value>864</value>
            <value>0</value>
            <value>35</value>
            <value>1920</value>
            <value>864</value>
            <value>0</value>
            <value>33</value>
            <value>1920</value>
            <value>864</value>
            <value>0</value>

            <value>34</value>
            <value>1680</value>
            <value>720</value>
            <value>0</value>
            <value>35</value>
            <value>1680</value>
            <value>720</value>
            <value>0</value>
            <value>33</value>
            <value>1680</value>
            <value>720</value>
            <value>0</value>

            <value>34</value>
            <value>1600</value>
            <value>1200</value>
            <value>0</value>
            <value>35</value>
            <value>1600</value>
            <value>1200</value>
            <value>0</value>
            <value>33</value>
            <value>1600</value>
            <value>1200</value>
            <value>0</value>

            <value>34</value>
            <value>1584</value>
            <value>720</value>
            <value>0</value>
            <value>35</value>
            <value>1584</value>
            <value>720</value>
            <value>0</value>
            <value>33</value>
            <value>1584</value>
            <value>720</value>
            <value>0</value>

            <value>34</value>
            <value>1568</value>
            <value>720</value>
            <value>0</value>
            <value>35</value>
            <value>1568</value>
            <value>720</value>
            <value>0</value>
            <value>33</value>
            <value>1568</value>
            <value>720</value>
            <value>0</value>

            <value>34</value>
            <value>1440</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1440</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>1440</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1296</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1296</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>1296</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1280</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1280</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>1280</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1280</value>
            <value>960</value>
            <value>0</value>
            <value>35</value>
            <value>1280</value>
            <value>960</value>
            <value>0</value>
            <value>33</value>
            <value>1280</value>
            <value>960</value>
            <value>0</value>

            <value>34</value>
            <value>1280</value>
            <value>720</value>
            <value>0</value>
            <value>35</value>
            <value>1280</value>
            <value>720</value>
            <value>0</value>
            <value>33</value>
            <value>1280</value>
            <value>720</value>
            <value>0</value>

            <value>34</value>
            <value>1088</value>
            <value>1080</value>
            <value>0</value>
            <value>34</value>
            <value>1088</value>
            <value>1080</value>
            <value>1</value>
            <value>35</value>
            <value>1088</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1088</value>
            <value>1080</value>
            <value>1</value>
            <value>33</value>
            <value>1088</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1080</value>
            <value>1080</value>
            <value>0</value>
            <value>35</value>
            <value>1080</value>
            <value>1080</value>
            <value>0</value>
            <value>33</value>
            <value>1080</value>
            <value>1080</value>
            <value>0</value>

            <value>34</value>
            <value>1024</value>
            <value>768</value>
            <value>0</value>
            <value>35</value>
            <value>1024</value>
            <value>768</value>
            <value>0</value>
            <value>33</value>
            <value>1024</value>
            <value>768</value>
            <value>0</value>

            <value>34</value>
            <value>960</value>
            <value>720</value>
            <value>0</value>
            <value>35</value>
            <value>960</value>
            <value>720</value>
            <value>0</value>
            <value>33</value>
            <value>960</value>
            <value>720</value>
            <value>0</value>

            <value>34</value>
            <value>864</value>
            <value>480</value>
            <value>0</value>
            <value>35</value>
            <value>864</value>
            <value>480</value>
            <value>0</value>
            <value>33</value>
            <value>864</value>
            <value>480</value>
            <value>0</value>

            <value>34</value>
            <value>800</value>
            <value>600</value>
            <value>0</value>
            <value>35</value>
            <value>800</value>
            <value>600</value>
            <value>0</value>
            <value>33</value>
            <value>800</value>
            <value>600</value>
            <value>0</value>

            <value>34</value>
            <value>800</value>
            <value>480</value>
            <value>0</value>
            <value>35</value>
            <value>800</value>
            <value>480</value>
            <value>0</value>
            <value>33</value>
            <value>800</value>
            <value>480</value>
            <value>0</value>

            <value>34</value>
            <value>720</value>
            <value>1280</value>
            <value>0</value>
            <value>35</value>
            <value>720</value>
            <value>1280</value>
            <value>0</value>
            <value>33</value>
            <value>720</value>
            <value>1280</value>
            <value>0</value>

            <value>34</value>
            <value>720</value>
            <value>480</value>
            <value>0</value>
            <value>35</value>
            <value>720</value>
            <value>480</value>
            <value>0</value>
            <value>33</value>
            <value>720</value>
            <value>480</value>
            <value>0</value>

            <value>34</value>
            <value>720</value>
            <value>720</value>
            <value>0</value>
            <value>35</value>
            <value>720</value>
            <value>720</value>
            <value>0</value>
            <value>33</value>
            <value>720</value>
            <value>720</value>
            <value>0</value>

            <value>34</value>
            <value>640</value>
            <value>480</value>
            <value>0</value>
            <value>35</value>
            <value>640</value>
            <value>480</value>
            <value>0</value>
            <value>33</value>
            <value>640</value>
            <value>480</value>
            <value>0</value>

            <value>34</value>
            <value>640</value>
            <value>400</value>
            <value>0</value>
            <value>35</value>
            <value>640</value>
            <value>400</value>
            <value>0</value>
            <value>33</value>
            <value>640</value>
            <value>400</value>
            <value>0</value>

            <value>34</value>
            <value>640</value>
            <value>360</value>
            <value>0</value>
            <value>35</value>
            <value>640</value>
            <value>360</value>
            <value>0</value>
            <value>33</value>
            <value>640</value>
            <value>360</value>
            <value>0</value>

            <value>34</value>
            <value>600</value>
            <value>600</value>
            <value>0</value>
            <value>35</value>
            <value>600</value>
            <value>600</value>
            <value>0</value>
            <value>33</value>
            <value>600</value>
            <value>600</value>
            <value>0</value>

            <value>34</value>
            <value>352</value>
            <value>288</value>
            <value>0</value>
            <value>35</value>
            <value>352</value>
            <value>288</value>
            <value>0</value>
            <value>33</value>
            <value>352</value>
            <value>288</value>
            <value>0</value>

            <value>34</value>
            <value>320</value>
            <value>240</value>
            <value>0</value>
            <value>35</value>
            <value>320</value>
            <value>240</value>
            <value>0</value>
            <value>33</value>
            <value>320</value>
            <value>240</value>
            <value>0</value>

            <value>34</value>
            <value>240</value>
            <value>320</value>
            <value>0</value>
            <value>35</value>
            <value>240</value>
            <value>320</value>
            <value>0</value>
            <value>33</value>
            <value>240</value>
            <value>320</value>
            <value>0</value>

            <value>34</value>
            <value>176</value>
            <value>144</value>
            <value>0</value>
            <value>35</value>
            <value>176</value>
            <value>144</value>
            <value>0</value>
            <value>33</value>
            <value>176</value>
            <value>144</value>
            <value>0</value>
        </tag>
        <tag key="CAMERA_SCALER_AVAILABLE_STALL_DURATIONS" type="int64_t">
            <value>33</value>
            <value>4096</value>
            <value>3072</value>
            <value>81788928</value>

            <value>33</value>
            <value>4096</value>
            <value>2304</value>
            <value>61341696</value>

            <value>33</value>
            <value>4096</value>
            <value>2160</value>
            <value>57507840</value>

            <value>33</value>
            <value>4096</value>
            <value>1888</value>
            <value>50266112</value>

            <value>33</value>
            <value>4096</value>
            <value>1840</value>
            <value>49414144‬</value>

            <value>33</value>
            <value>4096</value>
            <value>1840</value>
            <value>23429120</value>

            <value>33</value>
            <value>4096</value>
            <value>1760</value>
            <value>16443648</value>

            <value>33</value>
            <value>3840</value>
            <value>2160</value>
            <value>25968384</value>

            <value>33</value>
            <value>3264</value>
            <value>2448</value>
            <value>51936768</value>

            <value>33</value>
            <value>3072</value>
            <value>3072</value>
            <value>61341696</value>

            <value>33</value>
            <value>2560</value>
            <value>1080</value>
            <value>17971200</value>

            <value>33</value>
            <value>2384</value>
            <value>1080</value>
            <value>3369600</value>

            <value>33</value>
            <value>1920</value>
            <value>1440</value>
            <value>17971200</value>

            <value>33</value>
            <value>1920</value>
            <value>1080</value>
            <value>6240000</value>

            <value>33</value>
            <value>1920</value>
            <value>864</value>
            <value>10982400</value>

            <value>33</value>
            <value>1680</value>
            <value>720</value>
            <value>7860400</value>

            <value>33</value>
            <value>1600</value>
            <value>1200</value>
            <value>12480000</value>

            <value>33</value>
            <value>1584</value>
            <value>720</value>
            <value>3669120</value>

            <value>33</value>
            <value>1568</value>
            <value>720</value>
            <value>7338240</value>

            <value>33</value>
            <value>1440</value>
            <value>1080</value>
            <value>10108800</value>

            <value>33</value>
            <value>1296</value>
            <value>1080</value>
            <value>4492800</value>

            <value>33</value>
            <value>1280</value>
            <value>1080</value>
            <value>4380480</value>

            <value>33</value>
            <value>1280</value>
            <value>960</value>
            <value>7987200</value>

            <value>33</value>
            <value>1280</value>
            <value>720</value>
            <value>5990400</value>

            <value>33</value>
            <value>1088</value>
            <value>1080</value>
            <value>7637760</value>

            <value>33</value>
            <value>1080</value>
            <value>1080</value>
            <value>7637760</value>

            <value>33</value>
            <value>1024</value>
            <value>768</value>
            <value>5111808</value>

            <value>33</value>
            <value>960</value>
            <value>720</value>
            <value>4492800</value>

            <value>33</value>
            <value>864</value>
            <value>480</value>
            <value>2695680</value>

            <value>33</value>
            <value>800</value>
            <value>600</value>
            <value>3120000</value>

            <value>33</value>
            <value>800</value>
            <value>480</value>
            <value>2496000</value>

            <value>33</value>
            <value>720</value>
            <value>1280</value>
            <value>5990400</value>

            <value>33</value>
            <value>720</value>
            <value>480</value>
            <value>2246400</value>

            <value>33</value>
            <value>720</value>
            <value>720</value>
            <value>3369600</value>

            <value>33</value>
            <value>720</value>
            <value>480</value>
            <value>2246400</value>

            <value>33</value>
            <value>640</value>
            <value>480</value>
            <value>1996800</value>

            <value>33</value>
            <value>640</value>
            <value>400</value>
            <value>1664000</value>

            <value>33</value>
            <value>640</value>
            <value>360</value>
            <value>1497600</value>

            <value>33</value>
            <value>600</value>
            <value>600</value>
            <value>2340000</value>

            <value>33</value>
            <value>352</value>
            <value>288</value>
            <value>658944</value>

            <value>33</value>
            <value>320</value>
            <value>240</value>
            <value>499200</value>

            <value>33</value>
            <value>240</value>
            <value>320</value>
            <value>499200</value>

            <value>33</value>
            <value>176</value>
            <value>144</value>
            <value>164736</value>
        </tag>
        <tag key="CAMERA_SCALER_AVAILABLE_MIN_FRAME_DURATIONS" type="int64_t">
            <value>34</value>
            <value>4096</value>
            <value>3072</value>
            <value>33333333</value>

            <value>35</value>
            <value>4096</value>
            <value>3072</value>
            <value>33333333</value>

            <value>33</value>
            <value>4096</value>
            <value>3072</value>
            <value>33333333</value>

            <value>34</value>
            <value>4096</value>
            <value>2304</value>
            <value>33333333</value>

            <value>35</value>
            <value>4096</value>
            <value>2304</value>
            <value>33333333</value>

            <value>33</value>
            <value>4096</value>
            <value>2304</value>
            <value>33333333</value>

            <value>34</value>
            <value>4096</value>
            <value>2160</value>
            <value>33333333</value>

            <value>35</value>
            <value>4096</value>
            <value>2160</value>
            <value>33333333</value>

            <value>33</value>
            <value>4096</value>
            <value>2160</value>
            <value>33333333</value>

            <value>34</value>
            <value>4096</value>
            <value>1840</value>
            <value>33333333</value>

            <value>35</value>
            <value>4096</value>
            <value>1840</value>
            <value>33333333</value>

            <value>33</value>
            <value>4096</value>
            <value>1840</value>
            <value>33333333</value>

            <value>34</value>
            <value>4096</value>
            <value>1760</value>
            <value>33333333</value>

            <value>35</value>
            <value>4096</value>
            <value>1760</value>
            <value>33333333</value>

            <value>33</value>
            <value>4096</value>
            <value>1760</value>
            <value>33333333</value>

            <value>34</value>
            <value>3840</value>
            <value>2160</value>
            <value>33333333</value>

            <value>35</value>
            <value>3840</value>
            <value>2160</value>
            <value>33333333</value>

            <value>33</value>
            <value>3840</value>
            <value>2160</value>
            <value>33333333</value>

            <value>34</value>
            <value>3264</value>
            <value>2448</value>
            <value>33333333</value>

            <value>35</value>
            <value>3264</value>
            <value>2448</value>
            <value>33333333</value>

            <value>33</value>
            <value>3264</value>
            <value>2448</value>
            <value>33333333</value>


            <value>34</value>
            <value>3072</value>
            <value>3072</value>
            <value>33333333</value>

            <value>35</value>
            <value>3072</value>
            <value>3072</value>
            <value>33333333</value>

            <value>33</value>
            <value>3072</value>
            <value>3072</value>
            <value>33333333</value>

            <value>34</value>
            <value>2560</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>2560</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>2560</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>2384</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>2384</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>2384</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1920</value>
            <value>1440</value>
            <value>33333333</value>

            <value>35</value>
            <value>1920</value>
            <value>1440</value>
            <value>33333333</value>

            <value>33</value>
            <value>1920</value>
            <value>1440</value>
            <value>33333333</value>

            <value>34</value>
            <value>1920</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>1920</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1920</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1920</value>
            <value>864</value>
            <value>33333333</value>

            <value>35</value>
            <value>1920</value>
            <value>864</value>
            <value>33333333</value>

            <value>33</value>
            <value>1920</value>
            <value>864</value>
            <value>33333333</value>

            <value>34</value>
            <value>1680</value>
            <value>720</value>
            <value>33333333</value>

            <value>35</value>
            <value>1680</value>
            <value>720</value>
            <value>33333333</value>

            <value>33</value>
            <value>1680</value>
            <value>720</value>
            <value>33333333</value>

            <value>34</value>
            <value>1600</value>
            <value>1200</value>
            <value>33333333</value>

            <value>35</value>
            <value>1600</value>
            <value>1200</value>
            <value>33333333</value>

            <value>33</value>
            <value>1600</value>
            <value>1200</value>
            <value>33333333</value>

            <value>34</value>
            <value>1584</value>
            <value>720</value>
            <value>33333333</value>

            <value>35</value>
            <value>1584</value>
            <value>720</value>
            <value>33333333</value>

            <value>33</value>
            <value>1584</value>
            <value>720</value>
            <value>33333333</value>

            <value>34</value>
            <value>1568</value>
            <value>720</value>
            <value>33333333</value>

            <value>35</value>
            <value>1568</value>
            <value>720</value>
            <value>33333333</value>

            <value>33</value>
            <value>1568</value>
            <value>720</value>
            <value>33333333</value>

            <value>34</value>
            <value>1440</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>1440</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1440</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1296</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>1296</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1296</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1280</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>1280</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1280</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1280</value>
            <value>960</value>
            <value>33333333</value>

            <value>35</value>
            <value>1280</value>
            <value>960</value>
            <value>33333333</value>

            <value>33</value>
            <value>1280</value>
            <value>960</value>
            <value>33333333</value>

            <value>34</value>
            <value>1280</value>
            <value>720</value>
            <value>33333333</value>

            <value>35</value>
            <value>1280</value>
            <value>720</value>
            <value>33333333</value>

            <value>33</value>
            <value>1280</value>
            <value>720</value>
            <value>33333333</value>

            <value>34</value>
            <value>1088</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>1088</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1088</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1080</value>
            <value>1080</value>
            <value>33333333</value>

            <value>35</value>
            <value>1080</value>
            <value>1080</value>
            <value>33333333</value>

            <value>33</value>
            <value>1080</value>
            <value>1080</value>
            <value>33333333</value>

            <value>34</value>
            <value>1024</value>
            <value>768</value>
            <value>33333333</value>

            <value>35</value>
            <value>1024</value>
            <value>768</value>
            <value>33333333</value>

            <value>33</value>
            <value>1024</value>
            <value>768</value>
            <value>33333333</value>

            <value>34</value>
            <value>960</value>
            <value>720</value>
            <value>33333333</value>

            <value>35</value>
            <value>960</value>
            <value>720</value>
            <value>33333333</value>

            <value>33</value>
            <value>960</value>
            <value>720</value>
            <value>33333333</value>

            <value>34</value>
            <value>864</value>
            <value>480</value>
            <value>33333333</value>

            <value>35</value>
            <value>864</value>
            <value>480</value>
            <value>33333333</value>

            <value>33</value>
            <value>864</value>
            <value>480</value>
            <value>33333333</value>

            <value>34</value>
            <value>800</value>
            <value>600</value>
            <value>33333333</value>

            <value>35</value>
            <value>800</value>
            <value>600</value>
            <value>33333333</value>

            <value>33</value>
            <value>800</value>
            <value>600</value>
            <value>33333333</value>

            <value>34</value>
            <value>800</value>
            <value>480</value>
            <value>33333333</value>

            <value>35</value>
            <value>800</value>
            <value>480</value>
            <value>33333333</value>

            <value>33</value>
            <value>800</value>
            <value>480</value>
            <value>33333333</value>

            <value>34</value>
            <value>720</value>
            <value>1280</value>
            <value>33333333</value>

            <value>35</value>
            <value>720</value>
            <value>1280</value>
            <value>33333333</value>

            <value>33</value>
            <value>720</value>
            <value>1280</value>
            <value>33333333</value>

            <value>34</value>
            <value>720</value>
            <value>480</value>
            <value>33333333</value>

            <value>35</value>
            <value>720</value>
            <value>480</value>
            <value>33333333</value>

            <value>33</value>
            <value>720</value>
            <value>480</value>
            <value>33333333</value>

            <value>34</value>
            <value>720</value>
            <value>720</value>
            <value>33333333</value>

            <value>35</value>
            <value>720</value>
            <value>720</value>
            <value>33333333</value>

            <value>33</value>
            <value>720</value>
            <value>720</value>
            <value>33333333</value>

            <value>34</value>
            <value>720</value>
            <value>480</value>
            <value>33333333</value>

            <value>35</value>
            <value>720</value>
            <value>480</value>
            <value>33333333</value>

            <value>33</value>
            <value>720</value>
            <value>480</value>
            <value>33333333</value>

            <value>34</value>
            <value>640</value>
            <value>480</value>
            <value>33333333</value>

            <value>35</value>
            <value>640</value>
            <value>480</value>
            <value>33333333</value>

            <value>33</value>
            <value>640</value>
            <value>480</value>
            <value>33333333</value>

            <value>34</value>
            <value>640</value>
            <value>400</value>
            <value>33333333</value>

            <value>35</value>
            <value>640</value>
            <value>400</value>
            <value>33333333</value>

            <value>33</value>
            <value>640</value>
            <value>400</value>
            <value>33333333</value>

            <value>34</value>
            <value>640</value>
            <value>360</value>
            <value>33333333</value>

            <value>35</value>
            <value>640</value>
            <value>360</value>
            <value>33333333</value>

            <value>33</value>
            <value>640</value>
            <value>360</value>
            <value>33333333</value>

            <value>34</value>
            <value>600</value>
            <value>600</value>
            <value>33333333</value>

            <value>35</value>
            <value>600</value>
            <value>600</value>
            <value>33333333</value>

            <value>33</value>
            <value>600</value>
            <value>600</value>
            <value>33333333</value>

            <value>34</value>
            <value>352</value>
            <value>288</value>
            <value>33333333</value>

            <value>35</value>
            <value>352</value>
            <value>288</value>
            <value>33333333</value>

            <value>33</value>
            <value>352</value>
            <value>288</value>
            <value>33333333</value>

            <value>34</value>
            <value>320</value>
            <value>240</value>
            <value>33333333</value>

            <value>35</value>
            <value>320</value>
            <value>240</value>
            <value>33333333</value>

            <value>33</value>
            <value>320</value>
            <value>240</value>
            <value>33333333</value>

            <value>34</value>
            <value>240</value>
            <value>320</value>
            <value>33333333</value>

            <value>35</value>
            <value>240</value>
            <value>320</value>
            <value>33333333</value>

            <value>33</value>
            <value>240</value>
            <value>320</value>
            <value>33333333</value>

            <value>34</value>
            <value>176</value>
            <value>144</value>
            <value>33333333</value>

            <value>35</value>
            <value>176</value>
            <value>144</value>
            <value>33333333</value>

            <value>33</value>
            <value>176</value>
            <value>144</value>
            <value>33333333</value>
        </tag>
        <!--
        <tag key="CAMERA_CONTROL_AE_AVAILABLE_TARGET_FPS_RANGES" type="int32_t">
            <value>15</value>
            <value>15</value>
            <value>15</value>
            <value>20</value>
            <value>15</value>
            <value>24</value>
            <value>24</value>
            <value>24</value>
            <value>25</value>
            <value>25</value>
            <value>13</value>
            <value>30</value>
            <value>15</value>
            <value>30</value>
            <value>17</value>
            <value>30</value>
            <value>30</value>
            <value>30</value>
        </tag>
        -->
        <tag key="HAL_CUSTOM_EXCLUSIVE_CAPTURE_STREAM_RESOLUTION_SUPPORT" type="uint8_t">
            <value>0</value>
            <value>1</value>
        </tag>
        <tag key="HAL_CUSTOM_ZOOM_RATIO_ADJUST_COEFFICIENTS" type="float">
            <value>1.168900f</value>
        </tag>
        <tag key="HAL_CUSTOM_QUADRA_SENSOR_FULL_AND_BINNING_SIZES" type="uint32_t">
            <value>8192</value>
            <value>6144</value>
            <value>4096</value>
            <value>3072</value>
        </tag>
        <tag key="HAL_PRIVATE_CROP_OFFSET_SUPPORTED_SCENES" type="uint8_t">
            <value>0</value>
        </tag>
        <tag key="HAL_PRIVATE_AVAILABLE_SENSOR_CROP_SIZES" type="uint32_t">
            <value>1</value>
            <value>4096</value>
            <value>3072</value>
            <value>2</value>
            <value>4096</value>
            <value>3072</value>
            <value>4</value>
            <value>4096</value>
            <value>3072</value>
        </tag>
        <tag key="HAL_PRIVATE_SENSOR_MAX_AGAIN_VALUE" type="uint32_t">
            <value>6400</value>
        </tag>
        <tag key="HAL_CUSTOM_AI_ULTRA_CLARITY_SIZE" type="int32_t">
            <value>8192</value>
            <value>6144</value>
        </tag>
        <tag key="CAMERA_SCALER_AVAILABLE_RECOMMENDED_STREAM_CONFIGURATIONS" type="int32_t">
            <value>4096</value>
            <value>3072</value>
            <value>33</value>
            <value>0</value>
            <value>12</value>

            <value>4096</value>
            <value>2160</value>
            <value>34</value>
            <value>1</value>
            <value>14</value>


            <value>4096</value>
            <value>2304</value>
            <value>33</value>
            <value>0</value>
            <value>12</value>

            <value>3072</value>
            <value>3072</value>
            <value>33</value>
            <value>0</value>
            <value>12</value>

            <value>4096</value>
            <value>1840</value>
            <value>33</value>
            <value>0</value>
            <value>12</value>

            <value>4096</value>
            <value>1760</value>
            <value>33</value>
            <value>0</value>
            <value>12</value>

            <value>3840</value>
            <value>2160</value>
            <value>34</value>
            <value>1</value>
            <value>14</value>

            <value>2592</value>
            <value>1952</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>2592</value>
            <value>1952</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>2592</value>
            <value>1944</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>2592</value>
            <value>1944</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>2592</value>
            <value>1940</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>2592</value>
            <value>1940</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>2592</value>
            <value>1200</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>2592</value>
            <value>1200</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>2560</value>
            <value>1080</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>2560</value>
            <value>1080</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>2384</value>
            <value>1080</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>2384</value>
            <value>1080</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>2048</value>
            <value>1536</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>2048</value>
            <value>1536</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>1944</value>
            <value>1944</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>1944</value>
            <value>1944</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>1920</value>
            <value>1440</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>1920</value>
            <value>1440</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>1920</value>
            <value>1080</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>1920</value>
            <value>1080</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>1920</value>
            <value>880</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>1920</value>
            <value>880</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>1920</value>
            <value>864</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>1920</value>
            <value>864</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>


            <value>1440</value>
            <value>1080</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>1440</value>
            <value>1080</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>1080</value>
            <value>1080</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>1080</value>
            <value>1080</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>1584</value>
            <value>720</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>1584</value>
            <value>720</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>1280</value>
            <value>720</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>1280</value>
            <value>720</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>960</value>
            <value>720</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>960</value>
            <value>720</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>720</value>
            <value>720</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>720</value>
            <value>720</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>720</value>
            <value>480</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>720</value>
            <value>480</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>640</value>
            <value>480</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>640</value>
            <value>480</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>640</value>
            <value>360</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>640</value>
            <value>360</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>600</value>
            <value>600</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>600</value>
            <value>600</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>320</value>
            <value>240</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>320</value>
            <value>240</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>

            <value>176</value>
            <value>144</value>
            <value>34</value>
            <value>0</value>
            <value>11</value>
            <value>176</value>
            <value>144</value>
            <value>35</value>
            <value>0</value>
            <value>11</value>
        </tag>
        <tag key="HAL_CUSTOM_MAIN_MODE_SUPPORTED" type="uint8_t" action="override">
            <value>1</value>
        </tag>
        <tag key="HAL_REPROCESS_PRIVATE_SENSOR_HDRLAYER_JPEG_SIZES" type="int32_t">
            <value>2048</value>
            <value>1536</value>
            <value>1536</value>
            <value>1536</value>
            <value>2208</value>
            <value>992</value>
        </tag>
        <tag key="HAL_CUSTOM_MMI_TEST2_FEATURE_SUPPORTED" type="char">
            <value>AFC,PDAFC,HDC</value>
        </tag>
        <tag key="HAL_CUSTOM_MMI_TEST2_FEATURE_CAMERA_ID" type="char">
            <value>6,2,6</value>
        </tag>
        <tag key="HAL_CUSTOM_MMI_TEST2_FEATURE_FOCUS_SUPPORTED" type="char">
            <value>0,0,1</value>
        </tag>
        <tag key="HAL_CUSTOM_HDDC_TEST_CAPTURE_NUM" type="char">
            <value>0,0,3</value>
        </tag>
        <tag key="HAL_CUSTOM_HDDC_TEST_TAG_VALUE" type="char">
            <value>1,1,1</value>
        </tag>
    </StaticCap>
